Rate Shopping Profiles
List rate-shopping profiles
Returns the rate-shopping profiles available to the authenticated customer.
Authorization
authorization AuthorizationBearer <token>
In: header
Query Parameters
page?integer
Page number
page_size?integer
Page size
Response Body
application/json
application/json
curl -X GET "https://api.parsel.app/rate_shopping_profiles?page=1&page_size=50"{
"data": [
{
"dim_factor": 250,
"dim_threshold": 1728,
"location_carriers": [
{
"carrier": "GoFo",
"location": "Parsel Dallas"
},
{
"carrier": "OnTrac",
"location": "Parsel New York"
}
],
"name": "Default",
"profile_key": "default",
"rate_card": {
"rate_entries": [
{
"rate_cents": 282,
"weight": 1,
"zone": 1
}
],
"weights": [
1,
2,
4
],
"zones": [
1,
2,
3
]
},
"zip_coverage": [
"01001",
"02101",
"94538"
],
"zip_surcharges": {
"GoFo": {
"1001": "DAS",
"2101": "EDAS"
},
"OnTrac": {
"1001": "EDAS",
"94538": "EDAS"
}
},
"zone_tnt_mapping": [
{
"destination": "945",
"origin": "750",
"tnt": 3,
"zone": 5
}
]
}
],
"metadata": {
"current_page": 1,
"end_cursor": null,
"has_next_page": true,
"has_previous_page": false,
"page_size": 25,
"start_cursor": null,
"total_count": 87,
"total_pages": 4
}
}{
"errors": {
"message": "This action requires the WRITE_SHIPMENTS scope",
"required_scope": "WRITE_SHIPMENTS",
"status": "Forbidden"
}
}